Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview.igraph
Class CompositeRectangularNode

    java.lang.Object
      lt.monarch.graph.view.ViewObject
          lt.monarch.graph.view.CompositeViewObject
              lt.monarch.graph.view.NodeView
                  lt.monarch.graph.view.looks.NodeViewBase
                      lt.monarch.graph.view.looks.RectangularNode
                          ix.iview.igraph.CompositeRectangularNode

    public class CompositeRectangularNode

extends lt.monarch.graph.view.looks.RectangularNode

Field Summary
`(package private) javax.swing.JLabel` | `bottom`
`(package private) javax.swing.JLabel` | `label`
`(package private) javax.swing.JLabel` | `top`

Fields inherited from class lt.monarch.graph.view.looks.RectangularNode
`bodyBounds, centerPin, graphView, inputPins, orientation, ORIENTATION_HORIZONTAL, ORIENTATION_VERTICAL, outputPins`

Fields inherited from class lt.monarch.graph.view.looks.NodeViewBase
`background, body, foreground`

Fields inherited from class lt.monarch.graph.view.CompositeViewObject
`views`

Fields inherited from class lt.monarch.graph.view.ViewObject
`d`

Constructor Summary
`CompositeRectangularNode(lt.monarch.graph.GraphView graphView, lt.monarch.graph.swing.GraphPanel graphPanel, java.lang.Object node)`

Method Summary
`void` | `setBottom(java.lang.String s)`
`void` | `setLabel(java.lang.String s)`
`void` | `setTop(java.lang.String s)`

Methods inherited from class lt.monarch.graph.view.looks.RectangularNode
`addInputPin, addOutputPin, createPinFor, getOrientation, getPins, getPosition, layout, paint, setOrientation, setPosition`

Methods inherited from class lt.monarch.graph.view.looks.NodeViewBase
`dispose, getBackground, getForeground, setBackground, setBody, setForeground`

Methods inherited from class lt.monarch.graph.view.NodeView
`getLinks, getModelNode, toString`

Methods inherited from class lt.monarch.graph.view.CompositeViewObject
`addSubView, getSubViews, getViewAt, layoutSubViews, paintSubViews, removeSubView`

Methods inherited from class lt.monarch.graph.view.ViewObject
`addViewListener, contains, fireViewChanged, fireViewDisposed, fireViewInvalidated, getBounds, getBoundsInternal, getParent, getViewListener, invalidate, removeViewListener, setBounds, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### label

    javax.swing.JLabel label

### top

    javax.swing.JLabel top

### bottom

    javax.swing.JLabel bottom

Constructor Detail

### CompositeRectangularNode

    public CompositeRectangularNode(lt.monarch.graph.GraphView graphView,
                                    lt.monarch.graph.swing.GraphPanel graphPanel,
                                    java.lang.Object node)

Method Detail

### setTop

    public void setTop(java.lang.String s)

### setBottom

    public void setBottom(java.lang.String s)

### setLabel

    public void setLabel(java.lang.String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD